##### windows::random_access_handle::random_access_handle (2 of 3 overloads)

Construct a `windows::random_access_handle` on an existing native handle.

    random_access_handle(
        asio::io_context & io_context,
        const native_handle_type & handle);

This constructor creates a random-access handle object to hold an existing native handle.

###### Parameters

io_context

  The `io_context` object that the random-access handle will use to dispatch handlers for any asynchronous operations performed on the handle.

handle

  The new underlying handle implementation.

###### Exceptions

asio::system_error

  Thrown on failure.